Index: qSiloGroup/trunk/Extensions/Install.py
===================================================================
--- qSiloGroup/trunk/Extensions/Install.py	(revision 3713)
+++ qSiloGroup/trunk/Extensions/Install.py	(revision 1)
@@ -48,24 +48,20 @@
     for ptype in types_tool.objectValues():
         if ptype.getId() == 'Folder':
-            action_obj = ptype.getActionObject('object/edit_silo_navigation')
-            if action_obj is None:
+            action = ptype.getActionById( 'edit_silo_navigation', default=None )
+            if action is None:
                 out.write( '  Added Silo Navigation tab for %s\n' % ptype.getId() )
-                ptype.addAction('edit_silo_navigation',
-                                'Silo Navigation',
-                                'string:${object_url}/silo_navigation_form',
-                                '',
-                                ('Modify portal content',),
-                                'object',
-                                visible=True)
-            else:
-                action_obj.edit(title=title, action=action,
-                                condition=condition,
-                                permissions=tuple(permissions),
-                                visible=visible)
+                ptype.addAction( 'edit_silo_navigation'
+                               , 'Silo Navigation'
+                               , 'string:${object_url}/silo_navigation_form'
+                               , ''
+                               , 'Modify portal content'
+                               , 'object'
+                               , visible=1
+                               )
 def removeActions(self):
     tool = getToolByName(self, 'portal_types')
     for ptype in tool.objectValues():
         if ptype.getId() == 'Folder':
-            action = ptype.getActionObject('object/edit_silo_navigation')
+            action = ptype.getActionById( 'edit_silo_navigation', default=None )
             if action != None:
                 acts = list(ptype.listActions())
@@ -75,5 +71,5 @@
     portal_js = getToolByName(self, 'portal_javascripts', None)
     portal_css = getToolByName(self, 'portal_css', None)
-
+    
     if portal_js is not None:
         scripts = portal_js.getResourceIds()
@@ -107,8 +103,4 @@
     setupResources(self, out)
 
-    # setup our GenericSetup profile
-    setup_tool = getToolByName(self, 'portal_setup')
-    setup_tool.runAllImportStepsFromProfile('profile-Products.qSiloGroup:qsilogroup')
-
     return out.getvalue()
 
Index: qSiloGroup/trunk/README.txt
===================================================================
--- qSiloGroup/trunk/README.txt	(revision 3713)
+++ qSiloGroup/trunk/README.txt	(revision 1)
@@ -1,3 +1,1 @@
 Silo Groups product aims to fill the niche off advance SEO techniquies of content assembling.
-
-It supports Plone 3 (tested with Plone 3.1.5.1).
Index: qSiloGroup/trunk/config.py
===================================================================
--- qSiloGroup/trunk/config.py	(revision 3713)
+++ qSiloGroup/trunk/config.py	(revision 1)
@@ -1,5 +1,5 @@
-from Products.CMFCore import permissions
+from Products.CMFCore import CMFCorePermissions
 
-VIEW_PERMISSION = permissions.ManagePortal
+VIEW_PERMISSION = CMFCorePermissions.ManagePortal
 
 PROJECTNAME = 'qSiloGroup'
Index: qSiloGroup/trunk/configure.zcml
===================================================================
--- qSiloGroup/trunk/configure.zcml	(revision 3713)
+++ 	(revision )
@@ -1,15 +1,0 @@
-<configure
-    xmlns="http://namespaces.zope.org/zope"
-    xmlns:genericsetup="http://namespaces.zope.org/genericsetup"
-    i18n_domain="qSiloGroup">
-
-  <genericsetup:registerProfile
-      name="qsilogroup"
-      title="qSiloGroup extension profile"
-      directory="profiles/default"
-      description="Extension profile for a qSiloGroup product."
-      for="Products.CMFPlone.interfaces.IPloneSiteRoot"
-      provides="Products.GenericSetup.interfaces.EXTENSION"
-      />
-
-</configure>
Index: qSiloGroup/trunk/skins/qSiloGroup/portlet_navtree_macro.pt
===================================================================
--- qSiloGroup/trunk/skins/qSiloGroup/portlet_navtree_macro.pt	(revision 3713)
+++ qSiloGroup/trunk/skins/qSiloGroup/portlet_navtree_macro.pt	(revision 1)
@@ -5,6 +5,5 @@
                     viewActions here/portal_properties/site_properties/typesUseViewActionInListings|python:();
                     member context/portal_membership/getAuthenticatedMember|nothing;
-                    member_id member/getId|nothing;
-                    plone_view context/@@plone">
+                    member_id member/getId|nothing">
 
 <metal:main define-macro="nav_main">
@@ -14,5 +13,4 @@
                 item       node/item;
                 useView    python:item.portal_type in viewActions;
-                item_icon  python:plone_view.getIcon(item);
                 isFolderish item/is_folderish|nothing;
                 default_page python:isFolderish and item.getObject().getProperty('default_page', '') or '';
@@ -22,24 +20,18 @@
     tal:condition="python: bottomLevel &lt;= 0 or level &lt; bottomLevel-1">
 
-    <tal:level define="item_wf_state_class python: 'state-' + normalizeString(item.review_state);">
+    <tal:level define="item_type_class     python: 'visualIcon contenttype-' + normalizeString(item.portal_type);
+                       item_wf_state_class python: 'state-' + normalizeString(item.review_state);">
 
-
-    <div tal:define="itemClass string:$item_wf_state_class;
+    <div tal:attributes="class item_type_class"
+         tal:define="itemClass string:$item_wf_state_class visualIconPadding;
                      itemClass python:test(isCurrent, itemClass + ' navTreeCurrentItem', itemClass);">
-
+        
         <a tal:attributes="href python:test(linkRemote, item.getRemoteUrl, itemUrl);
                            title item/Description;
-                           class string:$itemClass">
-            <img width="16" height="16"
-                 src="" alt=""
-                 tal:condition="item_icon/url"
-                 tal:attributes="src item_icon/url;
-                 alt item_icon/description;
-                 title item_icon/title;
-                 width item_icon/width;
-                 height item_icon/height;" />
-            <span tal:replace="item/Title">Selected Item Title</span>
+                           class string:$itemClass"
+            tal:content="item/Title">
+            Selected Item Title 
         </a>
-
+        
     </div>
 
Index: qSiloGroup/trunk/skins/qSiloGroup/silo_nav.pt
===================================================================
--- qSiloGroup/trunk/skins/qSiloGroup/silo_nav.pt	(revision 3713)
+++ qSiloGroup/trunk/skins/qSiloGroup/silo_nav.pt	(revision 1)
@@ -7,35 +7,21 @@
                          charset site_properties/default_charset|string:utf-8"><metal:cache use-macro="here/global_cache_settings/macros/cacheheaders">
       Get the global cache headers located in global_cache_settings.</metal:cache></tal:cache>
-  <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"
-          tal:define="charset site_properties/default_charset|string:utf-8"
-          tal:attributes="content string:text/html;;charset=${charset}" />
-
-    <base tal:attributes="href here/renderBase" /><!--[if lt IE 7]></base><![endif]-->
-
-    <meta name="ROBOTS" content="NOINDEX, NOFOLLOW" />
-    <meta name="generator" content="Plone - http://plone.org" />
-
-    <div tal:replace="structure provider:plone.htmlhead" />
-
-    <meta tal:define="metatags python:putils.listMetaTags(here).items()"
-          tal:condition="metatags"
-          tal:repeat="keyval metatags"
-          tal:attributes="name python:keyval[0];
-                          content python:keyval[1];" />
-
-    <!-- Internet Explorer CSS Fixes -->
-    <tal:iefixstart replace="structure string:&lt;!--[if IE]&gt;" />
-    <style type="text/css" media="all" tal:condition="exists: portal/IEFixes.css"
-           tal:content="string:@import url($portal_url/IEFixes.css);">
-    </style>
-    <tal:iefixend replace="structure string:&lt;![endif]--&gt;" />
-
-    <link tal:replace="structure provider:plone.htmlhead.links" />
-
-    <!-- Disable IE6 image toolbar -->
-    <meta http-equiv="imagetoolbar" content="no" />
+  <head metal:use-macro="here/header/macros/html_header">
+    <metal:fillbase fill-slot="base">
+      <base href="" tal:attributes="href here/renderBase" />
+    </metal:fillbase>
+    <metal:headslot fill-slot="head_slot">
+      <tal:comment replace="nothing"> A slot where you can insert elements in the header from a template</tal:comment>
+    </metal:headslot>
+    <metal:styleslot fill-slot="style_slot">
+      <tal:comment replace="nothing"> A slot where you can insert CSS in the header from a template</tal:comment>
+    </metal:styleslot>
+    <metal:cssslot fill-slot="css_slot">
+      <tal:comment replace="nothing"> This is deprecated, please use style_slot instead.</tal:comment>
+    </metal:cssslot>
+    <metal:javascriptslot fill-slot="javascript_head_slot">
+      <tal:comment replace="nothing"> A slot where you can insert javascript in the header from a template</tal:comment>
+    </metal:javascriptslot>
   </head>
-
   <body onload="if (parent.adjustIFrameSize) parent.adjustIFrameSize(window);"
         style="min-width: 100px; text-align: left; background-color: #F5F6F6"
